Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510081 - Target refresh for host fail
Summary: Target refresh for host fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.9.0
Assignee: Piotr Kliczewski
QA Contact: Jan Zmeskal
URL:
Whiteboard: rhev
Depends On: 1508831
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 16:33 UTC by Satoe Imaishi
Modified: 2018-03-06 14:59 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1508831
Environment:
Last Closed: 2018-03-06 14:59:40 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)
evm.log with graph refresh off (deleted)
2017-11-27 16:04 UTC, Jan Zmeskal
no flags Details
evm.log with graph refresh on (deleted)
2017-11-27 16:04 UTC, Jan Zmeskal
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 127 None None None 2017-11-06 16:33:47 UTC

Comment 2 Greg Blomquist 2017-11-16 23:27:15 UTC
Gaprindashvili backport details:

$ git log -1
commit a56769819cb512beecbeef4696b9ccb7cfcd4978
Author: Oved Ourfali <oourfali@redhat.com>
Date:   Fri Nov 3 17:57:10 2017 +0200

    Merge pull request #127 from pkliczewski/master
    
    Refresh a host when removed
    (cherry picked from commit 5371a675e68858e52b1a294d8a01fa142c72ee5e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510081

Comment 3 Jan Zmeskal 2017-11-27 16:04:27 UTC
Created attachment 1359536 [details]
evm.log with graph refresh off

Comment 4 Jan Zmeskal 2017-11-27 16:04:56 UTC
Created attachment 1359537 [details]
evm.log with graph refresh on

Comment 5 Jan Zmeskal 2017-11-27 16:09:08 UTC
Verified on:
CFME 5.9.0.9
RHV 4.1.7.6

I tried removing host in maintenance from RHV twice.

1) Graph refresh turned off. No errors in evm.log.

2) I put this in /var/www/miq/vmdb/config/settings.yml:
:ems_refresh:
   :rhevm:
     :inventory_object_refresh: true
     :pipeline: 40
     :connections: 10
Then: systemctl restart evmserverd
No error found in evm.log, see the attachment

Comment 6 CFME Bot 2017-11-29 20:45:13 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/a56769819cb512beecbeef4696b9ccb7cfcd4978

commit a56769819cb512beecbeef4696b9ccb7cfcd4978
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Fri Nov 3 17:57:10 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 6 18:03:01 2017 -0500

    Merge pull request #127 from pkliczewski/master
    
    Refresh a host when removed
    (cherry picked from commit 5371a675e68858e52b1a294d8a01fa142c72ee5e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510081

 .../infra_manager/inventory/strategies/v4.rb       |   2 +
 .../inventory/persister/target_collection.rb       |  27 +++---
 .../refresh/refresher_target_host_4_spec.rb        |  57 +++++++++++
 .../refresh/refresher_target_host.yml              | 108 +++++++++++++++++++++
 4 files changed, 183 insertions(+), 11 deletions(-)
 create mode 100644 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_target_host_4_spec.rb
 create mode 100644 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_target_host.yml


Note You need to log in before you can comment on or make changes to this bug.